Skip to content
Permalink
Browse files
ACCUMULO-1166 Realized that 1.4 doesn't actually have hadoop-2 support
(in looking at the 1.4.4 Accumulo pom and verified that the mapreduce
 example doesn't actually run).
  • Loading branch information
Josh Elser committed Sep 17, 2013
1 parent bc4678b commit 4808583ec6edf42760d7c7e7db8f2885b02bbfaa
Showing 1 changed file with 7 additions and 23 deletions.
@@ -27,12 +27,12 @@
<properties>
<accumulo.version>1.4.4</accumulo.version>
<hadoop-one.version>1.2.1</hadoop-one.version>
<hadoop-two.version>2.0.2-alpha</hadoop-two.version>
<hadoop-two.version>2.1.0-beta</hadoop-two.version>
<maclass>${package}.MapReduceExample</maclass>
</properties>

<profiles>
<!-- profile for building against Hadoop 1.0.x
<!-- profile for building against Hadoop 1.2.x
Activate by not specifying hadoop.profile -->
<profile>
<id>hadoop-1.0</id>
@@ -52,27 +52,6 @@
</dependency>
</dependencies>
</profile>
<!-- profile for building against Hadoop 2.0.x
Activate using: mvn -Dhadoop.profile=2.0 -->
<profile>
<id>hadoop-2.0</id>
<activation>
<property>
<name>hadoop.profile</name>
<value>2.0</value>
</property>
</activation>
<properties>
<hadoop.version>${hadoop-two.version}</hadoop.version>
</properties>
<dependencies>
<dependency>
<groupId>org.apache.hadoop</groupId>
<artifactId>hadoop-client</artifactId>
<version>${hadoop.version}</version>
</dependency>
</dependencies>
</profile>
<profile>
<id>shell</id>
<build>
@@ -137,6 +116,11 @@
<artifactId>accumulo-minicluster</artifactId>
<version>${accumulo.version}</version>
</dependency>
<dependency>
<groupId>org.apache.hadoop</groupId>
<artifactId>hadoop-client</artifactId>
<version>${hadoop.version}</version>
</dependency>
<dependency>
<groupId>org.apache.zookeeper</groupId>
<artifactId>zookeeper</artifactId>

0 comments on commit 4808583

Please sign in to comment.